[ubuntu/maverick] gutenprint 5.2.5-1ubuntu1 (Accepted)

Till Kamppeter till.kamppeter at gmail.com
Mon Jul 19 12:35:29 BST 2010


gutenprint (5.2.5-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Fix dependencies of the cups-driver-gutenprint binary
      package
    - debian/rules: Build with "--enable-nls" in the "./configure" command
      line.
    - debian/local/apport-hook.py, debian/rules,
      debian/cups-driver-gutenprint.install: Added apport hook.
    - debian/cups-driver-gutenprint.postinst: Make failures of the updater
      for the PPD files of existing print queues for the CUPS Raster driver
      non-fatal
    - debian/cups-driver-gutenprint.install: don't install
      samples/profile.jpg
    - debian/patches/10_cups_modeldir.dpatch: place ppd files in
      /usr/share/ppd
    - debian/control: Added transitional cupsys-driver-gutenprint package,
      easing the transition from hardy. Versioned Conflicts/Replaces.
    - debian/foomatic-db-gutenprint.postinst: automatically update the PPD
      files of existing CUPS queues which use the IJS driver.
    - debian/control: Added dependency on cups and cups-client to
      foomatic-db-gutenprint to assure that automatic PPD updates take
      place.
    - debian/cups-driver-gutenprint.postinst,
      debian/foomatic-db-gutenprint.postinst: Call CUPS command line
      clients (lpstat, lpadmin, ...) with "-h ..." option to assure local
      connections to be done even if a client.conf file points to a
      remote CUPS server, as this driver package only serves for the
      local CUPS and if the local machine tries to do changes onm a
      remote server, the CUPS clients ask for the remote server's password
      interactively.
    - debian/patches/20_device-id-support.dpatch: Added the suppport for
      providing printer device IDs in the generated PPD files. Taken from
      the upstream CVS repository of Gutenprint.
  * debian/patches/S20-S21-T20-T21-regression.dpatch: Fix regression of
    Epson Stylus S20, S21, T20, and T21 not working any more (LP: #576705).

Date: Mon, 19 Jul 2010 12:48:35 +0200
Changed-By: Till Kamppeter <till.kamppeter at gmail.com>
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/maverick/+source/gutenprint/5.2.5-1ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Jul 2010 12:48:35 +0200
Source: gutenprint
Binary: gimp-gutenprint cups-driver-gutenprint cupsys-driver-gutenprint libgutenprint-dev libgutenprint-doc libgutenprint2 libgutenprintui2-dev libgutenprintui2-1 gutenprint-locales escputil ijsgutenprint foomatic-db-gutenprint gutenprint-doc
Architecture: source
Version: 5.2.5-1ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Till Kamppeter <till.kamppeter at gmail.com>
Description: 
 cups-driver-gutenprint - printer drivers for CUPS
 cupsys-driver-gutenprint - Transitional package
 escputil   - maintenance utility for Epson Stylus printers
 foomatic-db-gutenprint - OpenPrinting printer support - database for Gutenprint printer dr
 gimp-gutenprint - print plugin for the GIMP
 gutenprint-doc - users' guide for Gutenprint and CUPS
 gutenprint-locales - locale data files for Gutenprint
 ijsgutenprint - inkjet server - Ghostscript driver for Gutenprint
 libgutenprint-dev - development files for the Gutenprint printer driver library
 libgutenprint-doc - documentation for the Gutenprint printer driver library
 libgutenprint2 - runtime for the Gutenprint printer driver library
 libgutenprintui2-1 - runtime for the Gutenprint printer driver user interface library
 libgutenprintui2-dev - development files for the Gutenprint printer driver user interfac
Launchpad-Bugs-Fixed: 576705
Changes: 
 gutenprint (5.2.5-1ubuntu1) maverick; urgency=low
 .
   * Merge from debian unstable.  Remaining changes:
     - debian/control: Fix dependencies of the cups-driver-gutenprint binary
       package
     - debian/rules: Build with "--enable-nls" in the "./configure" command
       line.
     - debian/local/apport-hook.py, debian/rules,
       debian/cups-driver-gutenprint.install: Added apport hook.
     - debian/cups-driver-gutenprint.postinst: Make failures of the updater
       for the PPD files of existing print queues for the CUPS Raster driver
       non-fatal
     - debian/cups-driver-gutenprint.install: don't install
       samples/profile.jpg
     - debian/patches/10_cups_modeldir.dpatch: place ppd files in
       /usr/share/ppd
     - debian/control: Added transitional cupsys-driver-gutenprint package,
       easing the transition from hardy. Versioned Conflicts/Replaces.
     - debian/foomatic-db-gutenprint.postinst: automatically update the PPD
       files of existing CUPS queues which use the IJS driver.
     - debian/control: Added dependency on cups and cups-client to
       foomatic-db-gutenprint to assure that automatic PPD updates take
       place.
     - debian/cups-driver-gutenprint.postinst,
       debian/foomatic-db-gutenprint.postinst: Call CUPS command line
       clients (lpstat, lpadmin, ...) with "-h ..." option to assure local
       connections to be done even if a client.conf file points to a
       remote CUPS server, as this driver package only serves for the
       local CUPS and if the local machine tries to do changes onm a
       remote server, the CUPS clients ask for the remote server's password
       interactively.
     - debian/patches/20_device-id-support.dpatch: Added the suppport for
       providing printer device IDs in the generated PPD files. Taken from
       the upstream CVS repository of Gutenprint.
   * debian/patches/S20-S21-T20-T21-regression.dpatch: Fix regression of
     Epson Stylus S20, S21, T20, and T21 not working any more (LP: #576705).
Checksums-Sha1: 
 36c41459cde1b6f585ff9f7f3b024c37591290ea 1695 gutenprint_5.2.5-1ubuntu1.dsc
 892342629d9fce57bd85c30bd5414f8e7ffd8ecd 38297 gutenprint_5.2.5-1ubuntu1.diff.gz
Checksums-Sha256: 
 44e94308119d85a89dda81821a9b542e608f31e3809a871d1c0ba46c6d3b59b2 1695 gutenprint_5.2.5-1ubuntu1.dsc
 0e88aa4c24cc2bd290f802d6fbf76aaf7fffaf79ad5d9a48ce1741984a6de318 38297 gutenprint_5.2.5-1ubuntu1.diff.gz
Files: 
 0f36d7a3a025328a0cd4aeecae2561b5 1695 graphics optional gutenprint_5.2.5-1ubuntu1.dsc
 af2e46573b2b6e2a50a9b93df31db5c8 38297 graphics optional gutenprint_5.2.5-1ubuntu1.diff.gz
Original-Maintainer: Debian Printing Group <debian-printing at lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxEODcACgkQTuVatl/cKEmZGACfV/L+vAHJHszPLbFrL9d2DP7r
K40An0x0fs+c3sgP0l1Dd9IfXtVSdjgD
=ZVvv
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list